Commit d4b895a5 authored by Zéfling's avatar Zéfling 🎨
Browse files

npx ng update @angular/cli

parent 5708b998
......@@ -25,6 +25,7 @@
!.vscode/extensions.json
# misc
/.angular/cache
/.sass-cache
/connect.lock
/coverage
......
......@@ -100,18 +100,6 @@
"src/assets"
]
}
},
"lint": {
"builder": "@angular-devkit/build-angular:tslint",
"options": {
"tsConfig": [
"src/tsconfig.app.json",
"src/tsconfig.spec.json"
],
"exclude": [
"**/node_modules/**"
]
}
}
}
},
......@@ -131,15 +119,6 @@
"devServerTarget": "json2html-demo:serve:production"
}
}
},
"lint": {
"builder": "@angular-devkit/build-angular:tslint",
"options": {
"tsConfig": "e2e/tsconfig.e2e.json",
"exclude": [
"**/node_modules/**"
]
}
}
}
},
......@@ -168,18 +147,6 @@
"tsConfig": "projects/json2html/tsconfig.spec.json",
"karmaConfig": "projects/json2html/karma.conf.js"
}
},
"lint": {
"builder": "@angular-devkit/build-angular:tslint",
"options": {
"tsConfig": [
"projects/json2html/tsconfig.lib.json",
"projects/json2html/tsconfig.spec.json"
],
"exclude": [
"**/node_modules/**"
]
}
}
}
}
......
This diff is collapsed.
......@@ -14,7 +14,9 @@ declare const require: any;
// First, initialize the Angular testing environment.
getTestBed().initTestEnvironment(
BrowserDynamicTestingModule,
platformBrowserDynamicTesting()
platformBrowserDynamicTesting(), {
teardown: { destroyAfterEach: false }
}
);
// Then we find all the tests.
const context = require.context('./', true, /\.spec\.ts$/);
......
......@@ -4,6 +4,6 @@
"declarationMap": false
},
"angularCompilerOptions": {
"enableIvy": false
"compilationMode": "partial"
}
}
\ No newline at end of file
......@@ -18,16 +18,6 @@
* BROWSER POLYFILLS
*/
/** IE10 and IE11 requires the following for NgClass support on SVG elements */
// import 'classlist.js'; // Run `npm install --save classlist.js`.
/**
* Web Animations `@angular/platform-browser/animations`
* Only required if AnimationBuilder is used within the application and using IE/Edge or Safari.
* Standard animation support in Angular DOES NOT require any polyfills (as of Angular 6.0).
*/
// import 'web-animations-js'; // Run `npm install --save web-animations-js`.
/**
* By default, zone.js will patch all possible macroTask and DomEvents
* user can disable parts of macroTask/DomEvents patch by setting following flags
......
......@@ -12,7 +12,9 @@ declare const require: any;
// First, initialize the Angular testing environment.
getTestBed().initTestEnvironment(
BrowserDynamicTestingModule,
platformBrowserDynamicTesting()
platformBrowserDynamicTesting(), {
teardown: { destroyAfterEach: false }
}
);
// Then we find all the tests.
const context = require.context('./', true, /\.spec\.ts$/);
......
  • The installed Angular CLI version is outdated.
    Installing a temporary Angular CLI versioned 13.2.3 to perform the update.
    ✔ Package successfully installed.
    Using package manager: 'npm'
    Collecting installed dependencies...
    Found 32 dependencies.
    Fetching dependency metadata from registry...
        Updating package.json with dependency @angular-devkit/build-angular @ "13.2.3" (was "12.2.16")...
        Updating package.json with dependency @angular/cli @ "13.2.3" (was "12.2.16")...
        Updating package.json with dependency @angular/compiler-cli @ "13.2.2" (was "12.2.16")...
        Updating package.json with dependency @angular/language-service @ "13.2.2" (was "12.2.16")...
        Updating package.json with dependency ng-packagr @ "13.2.1" (was "12.2.7")...
        Updating package.json with dependency typescript @ "4.5.5" (was "4.3.5")...
        Updating package.json with dependency @angular/animations @ "13.2.2" (was "12.2.16")...
        Updating package.json with dependency @angular/common @ "13.2.2" (was "12.2.16")...
        Updating package.json with dependency @angular/compiler @ "13.2.2" (was "12.2.16")...
        Updating package.json with dependency @angular/core @ "13.2.2" (was "12.2.16")...
        Updating package.json with dependency @angular/forms @ "13.2.2" (was "12.2.16")...
        Updating package.json with dependency @angular/platform-browser @ "13.2.2" (was "12.2.16")...
        Updating package.json with dependency @angular/platform-browser-dynamic @ "13.2.2" (was "12.2.16")...
        Updating package.json with dependency @angular/router @ "13.2.2" (was "12.2.16")...
      UPDATE package.json (1715 bytes)
    ✔ Packages successfully installed.
    ** Executing migrations of package '@angular/cli' **
    
    ▸ Remove polyfills required only for Internet Explorer which is no longer supported.
      UPDATE src/polyfills.ts (2340 bytes)
      Migration completed.
    
    ▸ Remove no longer valid Angular schematic options from `angular.json`.
      Migration completed.
    
    ▸ Remove deprecated options from 'angular.json' that are no longer present in v13.
      UPDATE angular.json (4616 bytes)
      Migration completed.
    
    ▸ Updating '.gitignore' to include '.angular/cache'.
      UPDATE .gitignore (539 bytes)
      Migration completed.
    
    ▸ Update library projects to be published in partial mode and removed deprecated options from ng-packagr configuration.
      UPDATE projects/json2html/tsconfig.lib.prod.json (162 bytes)
      Migration completed.
    
    ** Executing migrations of package '@angular/core' **
    
    ▸ Migrates `[routerLink]=""` in templates to `[routerLink]="[]"` because these links are likely intended to route to the current page with updated fragment/query params.
      Migration completed.
    
    ▸ In Angular version 13, the `teardown` flag in `TestBed` will be enabled by default.
      This migration automatically opts out existing apps from the new teardown behavior.
      UPDATE src/test.ts (679 bytes)
      UPDATE projects/json2html/src/test.ts (727 bytes)
      Migration completed.
    
    ▸ As of Angular version 13, `entryComponents` are no longer necessary.
      Migration completed.
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment